Subject: Re: bug#30718: coreutils-8.29 compilation failure using xlC on AIX

From: Assaf Gordon <[email-masked]>
Date: Mon, 5 Mar 2018 21:18:39 -0700

On 2018-03-05 06:21 PM, Paul Eggert wrote:
> On 03/05/2018 04:01 PM, John Wiersba wrote:
>> As an additional comment, it took me quite a while to find working 
>> values for
>> CFLAGS, AR, and LDFLAGS.  I'm not sure how you might accomplish it, 
>> but it would be
>> friendlier if, once it's determined that gcc is not available and xlC 
>> is available,
>> a reasonable set of default options were supplied, so that every user 
>> of xlC doesn't
>> have to rediscover some set defaults which allow the build to succeed.

Just recently we've added information about GCC's CFLAGS/LDFLAGS/AR
on AIX in the README:
https://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=f4fec336

Perhaps it's worth expanding and mentioning XLC flags ?
(as an interim fix until proper detection is made)